### Class

# GtkSource Annotations

since: 5.18

#### Description [src]

    final class GtkSource.Annotations : GObject.Object
    {
      /* No available fields */
    }

Use this object to manage `GtkSourceAnnotation`s. Each `GtkSourceView` has a single annotation manager and it is guaranteed to be the same for the lifetime of `GtkSourceView`.

Add `GtkSourceAnnotationProvider`s with `gtk_source_annotations_add_provider()` to display all the annotations added to each `GtkSourceAnnotationProvider`.

Available since: 5.18

#### Ancestors

- GObject

#### Instance methods

###### gtk_source_annotations_add_provider

Adds a new annotation provider.

###### gtk_source_annotations_remove_provider

Removes a provider.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### GtkSource.Annotations::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceAnnotationsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.